# Crow: sha1::SHA1 Class Reference

Loading...
Searching...
No Matches
sha1::SHA1 Class Reference

A tiny SHA1 algorithm implementation used internally in the Crow server (specifically in crow/websocket.h). More...

`#include <TinySHA1.hpp>`

## Public Types

typedef uint32_t | digest32_t[5]
typedef uint8_t | digest8_t[20]

## Public Member Functions

| SHA1 (const SHA1 &s)
const SHA1 & | operator= (const SHA1 &s)
SHA1 & | reset ()
SHA1 & | processByte (uint8_t octet)
SHA1 & | processBlock (const void *const start, const void *const end)
SHA1 & | processBytes (const void *const data, size_t len)
const uint32_t * | getDigest (digest32_t digest)
const uint8_t * | getDigestBytes (digest8_t digest)

## Static Public Member Functions

static uint32_t | LeftRotate (uint32_t value, size_t count)

## Protected Member Functions

void | processBlock ()

## Detailed Description

A tiny SHA1 algorithm implementation used internally in the Crow server (specifically in crow/websocket.h).

The documentation for this class was generated from the following file:

- include/crow/TinySHA1.hpp